From ee320163c6b7913ddae41cb8954b237d1b99eadf Mon Sep 17 00:00:00 2001
From: Nathan Kinder <nkinder@redhat.com>
Date: Wed, 8 Feb 2012 09:38:26 -0800
Subject: [PATCH] Ticket 284 - Remove unnecessary SNMP MIB files

We currently carry around some standard MIB files in our soruce tree
and install them as well.  Aside from our DS specific MIB file, these
are all included as a part of the Net-SNMP distribution.  We should
not be carrying these files around as well.

This patch removes the standard MIB files from our tree and updates
the Makefile to avoid installing them.
---
 Makefile.am                                |    8 +-
 Makefile.in                                |    9 +-
 ldap/servers/snmp/NETWORK-SERVICES-MIB.txt |  650 -----------------------
 ldap/servers/snmp/RFC-1215.txt             |   38 --
 ldap/servers/snmp/RFC1155-SMI.txt          |  119 -----
 ldap/servers/snmp/SNMPv2-CONF.txt          |  322 ------------
 ldap/servers/snmp/SNMPv2-SMI.txt           |  344 -------------
 ldap/servers/snmp/SNMPv2-TC.txt            |  772 ----------------------------
 ldap/servers/snmp/netscape-ldap.mib        |  759 ---------------------------
 9 files changed, 2 insertions(+), 3019 deletions(-)
 delete mode 100644 ldap/servers/snmp/NETWORK-SERVICES-MIB.txt
 delete mode 100644 ldap/servers/snmp/RFC-1215.txt
 delete mode 100644 ldap/servers/snmp/RFC1155-SMI.txt
 delete mode 100644 ldap/servers/snmp/SNMPv2-CONF.txt
 delete mode 100644 ldap/servers/snmp/SNMPv2-SMI.txt
 delete mode 100644 ldap/servers/snmp/SNMPv2-TC.txt
 delete mode 100644 ldap/servers/snmp/netscape-ldap.mib

diff --git a/Makefile.am b/Makefile.am
index e84b63d..bb761e3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -404,13 +404,7 @@ inf_DATA = ldap/admin/src/slapd.inf \
 	ldap/admin/src/scripts/dsupdate.map \
 	ldap/admin/src/scripts/dsorgentries.map
 
-mib_DATA = ldap/servers/snmp/RFC-1215.txt \
-	ldap/servers/snmp/SNMPv2-TC.txt \
-	ldap/servers/snmp/redhat-directory.mib \
-	ldap/servers/snmp/SNMPv2-CONF.txt \
-	ldap/servers/snmp/NETWORK-SERVICES-MIB.txt \
-	ldap/servers/snmp/RFC1155-SMI.txt \
-	ldap/servers/snmp/SNMPv2-SMI.txt
+mib_DATA = ldap/servers/snmp/redhat-directory.mib
 
 pkgconfig_DATA = $(PACKAGE_NAME).pc
 
